## falconkit 0.1.3+20140820

=== src/c/Makefile ===
DW_align.so: DW_banded.c common.h
	gcc DW_banded.c -O3 -shared -fPIC -o DW_align.so

kmer_lookup.so: kmer_lookup.c common.h
	gcc kmer_lookup.c -O3 -shared -fPIC -o kmer_lookup.so

#falcon: DW_banded.c common.h kmer_lookup.c falcon.c 
#	gcc DW_banded.c kmer_lookup.c falcon.c -O4 -o falcon -fPIC 

falcon.so: falcon.c common.h DW_banded.c kmer_lookup.c
	gcc DW_banded.c kmer_lookup.c falcon.c -O3 -shared -fPIC -o falcon.so 

#falcon2.so: falcon.c common.h DW_banded_2.c kmer_lookup.c
#	gcc DW_banded_2.c kmer_lookup.c falcon.c -O3 -shared -fPIC -o falcon2.so 

clean:
	rm falcon *.so

all: DW_align.so kmer_lookup.so falcon.so

=== debian/changelog ===
falconkit (0.1.3+20140820-1) unstable; urgency=low

  * Initial release from git4a8f86f (Closes: #808708)

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 21 Dec 2015 22:33:31 -0800

=== debian/control ===
Source: falconkit
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	rename,
	python-all-dev,
	python-setuptools,
	python-networkx,
	python-pbcore,
Standards-Version: 3.9.6
Homepage: https://github.com/PacificBiosciences/FALCON
Vcs-Git: git://anonscm.debian.org/debian-med/falconkit.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/falconkit.git

Package: falconkit
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python:Depends},
	python-numpy,
	mummer,
Description: genome assembly toolkit
 Falcon is a set of tools for fast aligning long reads for consensus
 and assembly. It is a simple code collection for efficient assembly of
 haploid and diploid genomes.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

define link-man =
ln -s $2 \
$(CURDIR)/debian/$1/usr/share/man/man1/`basename $3`
endef

%:
	LC_ALL=C.UTF-8 dh $@ --with python2 --buildsystem=pybuild

override_dh_install:
	dh_install
	rename 's/\.py//' $(CURDIR)/debian/falconkit/usr/bin/*

override_dh_link:
	for script in $(CURDIR)/debian/falconkit/usr/bin/*; \
	do \
	$(call link-man,falconkit,falconkit.1,$$script.1); \
	done
	dh_link

override_dh_fixperms:
	chmod -x debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/HBAR.cfg
	chmod -x debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/test_data/*.fofn
	dh_fixperms

=== debian/tests/control ===
Test-Command:
	cp -r test test_data $ADTTMP && cd $ADTTMP && nosetests -v test/
Depends:
	python-falconkit,
	python-nose,
Restrictions:
	allow-stderr,

## falconkit 0.7

=== debian/changelog ===
falconkit (0.7-1) unstable; urgency=medium

  * Imported Upstream version 0.7 (git 349163e)
  * Remove max version limit for networkx
  * Don't install legacy py_scripts
  * Bump Standards-Version to 3.9.8
  * Update source URL to current release series
  * Globally use C.UTF-8 locale during package build

 -- Afif Elghraoui <afif@debian.org>  Wed, 22 Jun 2016 07:12:56 -0700

=== debian/control ===
Source: falconkit
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	python-all-dev,
	python-setuptools,
	python-networkx (>= 1.7),
# Test-Depends:
	python-nose,
Standards-Version: 3.9.8
Homepage: https://github.com/PacificBiosciences/FALCON
Vcs-Git: https://anonscm.debian.org/git/debian-med/falconkit.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/falconkit.git

Package: falconkit
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python:Depends},
Description: genome assembly toolkit
 Falcon is a set of tools for fast aligning long reads for consensus
 and assembly. It is a simple code collection for efficient assembly of
 haploid and diploid genomes.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

define link-man =
ln -s $1 \
$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/`basename $2`
endef

export LC_ALL=C.UTF-8

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="nosetests -v test/" dh_auto_test

override_dh_link:
	for script in $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/*; \
	do \
	$(call link-man,falconkit.1,$$script.1); \
	done
	dh_link

override_dh_fixperms:
	dh_fixperms
	chmod -x \
	$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/fc_run_LG.cfg

=== debian/tests/control ===
Test-Command:
	cp -r test test_data $ADTTMP && cd $ADTTMP && nosetests -v test/
Depends:
	@,
	python-nose,
Restrictions:
	allow-stderr,
